#
# spec file for package python-terminado
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-terminado
Version:        0.6
Release:        6.1
Summary:        Terminals served to termjs using Tornado websockets
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/takluyver/terminado
Source:         https://files.pythonhosted.org/packages/source/t/terminado/terminado-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module ptyprocess}
BuildRequires:  %{python_module tornado}
%if %{with tests}
BuildRequires:  %{python_module nose}
%endif
Requires:       python-ptyprocess
Requires:       python-tornado
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.

It evolved out of pyxterm, which was part of GraphTerm (as lineterm.py), and
ultimately derived from the public-domain Ajaxterm code (also on Github as part
of QWeb).

%prep
%setup -q -n terminado-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_expand nosetests-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 24 2017 toddrme2178@gmail.com
- Fix URL.
- Implement single-spec version.
* Sat Apr  8 2017 toddrme2178@gmail.com
- Update to 0.6
  (no upstream changelog)
* Fri Aug 14 2015 toddrme2178@gmail.com
- Initial version
